/* (c) https://github.com/MontiCore/monticore */
// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: simulationController.proto

package protobuf;

/**
 * Protobuf type {@code SimulationController.GetVehiclesReply}
 */
public  final class GetVehiclesReply extends
    com.google.protobuf.GeneratedMessageV3 implements
    // @@protoc_insertion_point(message_implements:SimulationController.GetVehiclesReply)
    GetVehiclesReplyOrBuilder {
private static final long serialVersionUID = 0L;
  // Use GetVehiclesReply.newBuilder() to construct.
  private GetVehiclesReply(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
    super(builder);
  }
  private GetVehiclesReply() {
    states_ = java.util.Collections.emptyList();
  }

  @java.lang.Override
  public final com.google.protobuf.UnknownFieldSet
  getUnknownFields() {
    return this.unknownFields;
  }
  private GetVehiclesReply(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    this();
    if (extensionRegistry == null) {
      throw new java.lang.NullPointerException();
    }
    int mutable_bitField0_ = 0;
    com.google.protobuf.UnknownFieldSet.Builder unknownFields =
        com.google.protobuf.UnknownFieldSet.newBuilder();
    try {
      boolean done = false;
      while (!done) {
        int tag = input.readTag();
        switch (tag) {
          case 0:
            done = true;
            break;
          default: {
            if (!parseUnknownFieldProto3(
                input, unknownFields, extensionRegistry, tag)) {
              done = true;
            }
            break;
          }
          case 10: {
            if (!((mutable_bitField0_ & 0x00000001) == 0x00000001)) {
              states_ = new java.util.ArrayList<protobuf.GetVehiclesReply.VehicleState>();
              mutable_bitField0_ |= 0x00000001;
            }
            states_.add(
                input.readMessage(protobuf.GetVehiclesReply.VehicleState.parser(), extensionRegistry));
            break;
          }
        }
      }
    } catch (com.google.protobuf.InvalidProtocolBufferException e) {
      throw e.setUnfinishedMessage(this);
    } catch (java.io.IOException e) {
      throw new com.google.protobuf.InvalidProtocolBufferException(
          e).setUnfinishedMessage(this);
    } finally {
      if (((mutable_bitField0_ & 0x00000001) == 0x00000001)) {
        states_ = java.util.Collections.unmodifiableList(states_);
      }
      this.unknownFields = unknownFields.build();
      makeExtensionsImmutable();
    }
  }
  public static final com.google.protobuf.Descriptors.Descriptor
      getDescriptor() {
    return protobuf.SimulationControllerProto.internal_static_SimulationController_GetVehiclesReply_descriptor;
  }

  protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internalGetFieldAccessorTable() {
    return protobuf.SimulationControllerProto.internal_static_SimulationController_GetVehiclesReply_fieldAccessorTable
        .ensureFieldAccessorsInitialized(
            protobuf.GetVehiclesReply.class, protobuf.GetVehiclesReply.Builder.class);
  }

  public interface VehicleStateOrBuilder extends
      // @@protoc_insertion_point(interface_extends:SimulationController.GetVehiclesReply.VehicleState)
      com.google.protobuf.MessageOrBuilder {

    /**
     * <code>string id = 1;</code>
     */
    java.lang.String getId();
    /**
     * <code>string id = 1;</code>
     */
    com.google.protobuf.ByteString
        getIdBytes();

    /**
     * <code>.SimulationController.SimulationDataFrame state = 2;</code>
     */
    boolean hasState();
    /**
     * <code>.SimulationController.SimulationDataFrame state = 2;</code>
     */
    protobuf.SimulationDataFrame getState();
    /**
     * <code>.SimulationController.SimulationDataFrame state = 2;</code>
     */
    protobuf.SimulationDataFrameOrBuilder getStateOrBuilder();

    /**
     * <code>float distToTargetInMeters = 3;</code>
     */
    float getDistToTargetInMeters();
  }
  /**
   * Protobuf type {@code SimulationController.GetVehiclesReply.VehicleState}
   */
  public  static final class VehicleState extends
      com.google.protobuf.GeneratedMessageV3 implements
      // @@protoc_insertion_point(message_implements:SimulationController.GetVehiclesReply.VehicleState)
      VehicleStateOrBuilder {
  private static final long serialVersionUID = 0L;
    // Use VehicleState.newBuilder() to construct.
    private VehicleState(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
      super(builder);
    }
    private VehicleState() {
      id_ = "";
      distToTargetInMeters_ = 0F;
    }

    @java.lang.Override
    public final com.google.protobuf.UnknownFieldSet
    getUnknownFields() {
      return this.unknownFields;
    }
    private VehicleState(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      this();
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      int mutable_bitField0_ = 0;
      com.google.protobuf.UnknownFieldSet.Builder unknownFields =
          com.google.protobuf.UnknownFieldSet.newBuilder();
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            default: {
              if (!parseUnknownFieldProto3(
                  input, unknownFields, extensionRegistry, tag)) {
                done = true;
              }
              break;
            }
            case 10: {
              java.lang.String s = input.readStringRequireUtf8();

              id_ = s;
              break;
            }
            case 18: {
              protobuf.SimulationDataFrame.Builder subBuilder = null;
              if (state_ != null) {
                subBuilder = state_.toBuilder();
              }
              state_ = input.readMessage(protobuf.SimulationDataFrame.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(state_);
                state_ = subBuilder.buildPartial();
              }

              break;
            }
            case 29: {

              distToTargetInMeters_ = input.readFloat();
              break;
            }
          }
        }
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(this);
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(
            e).setUnfinishedMessage(this);
      } finally {
        this.unknownFields = unknownFields.build();
        makeExtensionsImmutable();
      }
    }
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return protobuf.SimulationControllerProto.internal_static_SimulationController_GetVehiclesReply_VehicleState_descriptor;
    }

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return protobuf.SimulationControllerProto.internal_static_SimulationController_GetVehiclesReply_VehicleState_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              protobuf.GetVehiclesReply.VehicleState.class, protobuf.GetVehiclesReply.VehicleState.Builder.class);
    }

    public static final int ID_FIELD_NUMBER = 1;
    private volatile java.lang.Object id_;
    /**
     * <code>string id = 1;</code>
     */
    public java.lang.String getId() {
      java.lang.Object ref = id_;
      if (ref instanceof java.lang.String) {
        return (java.lang.String) ref;
      } else {
        com.google.protobuf.ByteString bs = 
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        id_ = s;
        return s;
      }
    }
    /**
     * <code>string id = 1;</code>
     */
    public com.google.protobuf.ByteString
        getIdBytes() {
      java.lang.Object ref = id_;
      if (ref instanceof java.lang.String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        id_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }

    public static final int STATE_FIELD_NUMBER = 2;
    private protobuf.SimulationDataFrame state_;
    /**
     * <code>.SimulationController.SimulationDataFrame state = 2;</code>
     */
    public boolean hasState() {
      return state_ != null;
    }
    /**
     * <code>.SimulationController.SimulationDataFrame state = 2;</code>
     */
    public protobuf.SimulationDataFrame getState() {
      return state_ == null ? protobuf.SimulationDataFrame.getDefaultInstance() : state_;
    }
    /**
     * <code>.SimulationController.SimulationDataFrame state = 2;</code>
     */
    public protobuf.SimulationDataFrameOrBuilder getStateOrBuilder() {
      return getState();
    }

    public static final int DISTTOTARGETINMETERS_FIELD_NUMBER = 3;
    private float distToTargetInMeters_;
    /**
     * <code>float distToTargetInMeters = 3;</code>
     */
    public float getDistToTargetInMeters() {
      return distToTargetInMeters_;
    }

    private byte memoizedIsInitialized = -1;
    public final boolean isInitialized() {
      byte isInitialized = memoizedIsInitialized;
      if (isInitialized == 1) return true;
      if (isInitialized == 0) return false;

      memoizedIsInitialized = 1;
      return true;
    }

    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      if (!getIdBytes().isEmpty()) {
        com.google.protobuf.GeneratedMessageV3.writeString(output, 1, id_);
      }
      if (state_ != null) {
        output.writeMessage(2, getState());
      }
      if (distToTargetInMeters_ != 0F) {
        output.writeFloat(3, distToTargetInMeters_);
      }
      unknownFields.writeTo(output);
    }

    public int getSerializedSize() {
      int size = memoizedSize;
      if (size != -1) return size;

      size = 0;
      if (!getIdBytes().isEmpty()) {
        size += com.google.protobuf.GeneratedMessageV3.computeStringSize(1, id_);
      }
      if (state_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(2, getState());
      }
      if (distToTargetInMeters_ != 0F) {
        size += com.google.protobuf.CodedOutputStream
          .computeFloatSize(3, distToTargetInMeters_);
      }
      size += unknownFields.getSerializedSize();
      memoizedSize = size;
      return size;
    }

    @java.lang.Override
    public boolean equals(final java.lang.Object obj) {
      if (obj == this) {
       return true;
      }
      if (!(obj instanceof protobuf.GetVehiclesReply.VehicleState)) {
        return super.equals(obj);
      }
      protobuf.GetVehiclesReply.VehicleState other = (protobuf.GetVehiclesReply.VehicleState) obj;

      boolean result = true;
      result = result && getId()
          .equals(other.getId());
      result = result && (hasState() == other.hasState());
      if (hasState()) {
        result = result && getState()
            .equals(other.getState());
      }
      result = result && (
          java.lang.Float.floatToIntBits(getDistToTargetInMeters())
          == java.lang.Float.floatToIntBits(
              other.getDistToTargetInMeters()));
      result = result && unknownFields.equals(other.unknownFields);
      return result;
    }

    @java.lang.Override
    public int hashCode() {
      if (memoizedHashCode != 0) {
        return memoizedHashCode;
      }
      int hash = 41;
      hash = (19 * hash) + getDescriptor().hashCode();
      hash = (37 * hash) + ID_FIELD_NUMBER;
      hash = (53 * hash) + getId().hashCode();
      if (hasState()) {
        hash = (37 * hash) + STATE_FIELD_NUMBER;
        hash = (53 * hash) + getState().hashCode();
      }
      hash = (37 * hash) + DISTTOTARGETINMETERS_FIELD_NUMBER;
      hash = (53 * hash) + java.lang.Float.floatToIntBits(
          getDistToTargetInMeters());
      hash = (29 * hash) + unknownFields.hashCode();
      memoizedHashCode = hash;
      return hash;
    }

    public static protobuf.GetVehiclesReply.VehicleState parseFrom(
        java.nio.ByteBuffer data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static protobuf.GetVehiclesReply.VehicleState parseFrom(
        java.nio.ByteBuffer data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static protobuf.GetVehiclesReply.VehicleState parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static protobuf.GetVehiclesReply.VehicleState parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static protobuf.GetVehiclesReply.VehicleState parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static protobuf.GetVehiclesReply.VehicleState parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static protobuf.GetVehiclesReply.VehicleState parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static protobuf.GetVehiclesReply.VehicleState parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }
    public static protobuf.GetVehiclesReply.VehicleState parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input);
    }
    public static protobuf.GetVehiclesReply.VehicleState parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
    }
    public static protobuf.GetVehiclesReply.VehicleState parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static protobuf.GetVehiclesReply.VehicleState parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }

    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder() {
      return DEFAULT_INSTANCE.toBuilder();
    }
    public static Builder newBuilder(protobuf.GetVehiclesReply.VehicleState prototype) {
      return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
    }
    public Builder toBuilder() {
      return this == DEFAULT_INSTANCE
          ? new Builder() : new Builder().mergeFrom(this);
    }

    @java.lang.Override
    protected Builder newBuilderForType(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      Builder builder = new Builder(parent);
      return builder;
    }
    /**
     * Protobuf type {@code SimulationController.GetVehiclesReply.VehicleState}
     */
    public static final class Builder extends
        com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
        // @@protoc_insertion_point(builder_implements:SimulationController.GetVehiclesReply.VehicleState)
        protobuf.GetVehiclesReply.VehicleStateOrBuilder {
      public static final com.google.protobuf.Descriptors.Descriptor
          getDescriptor() {
        return protobuf.SimulationControllerProto.internal_static_SimulationController_GetVehiclesReply_VehicleState_descriptor;
      }

      protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
          internalGetFieldAccessorTable() {
        return protobuf.SimulationControllerProto.internal_static_SimulationController_GetVehiclesReply_VehicleState_fieldAccessorTable
            .ensureFieldAccessorsInitialized(
                protobuf.GetVehiclesReply.VehicleState.class, protobuf.GetVehiclesReply.VehicleState.Builder.class);
      }

      // Construct using protobuf.GetVehiclesReply.VehicleState.newBuilder()
      private Builder() {
        maybeForceBuilderInitialization();
      }

      private Builder(
          com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
        super(parent);
        maybeForceBuilderInitialization();
      }
      private void maybeForceBuilderInitialization() {
        if (com.google.protobuf.GeneratedMessageV3
                .alwaysUseFieldBuilders) {
        }
      }
      public Builder clear() {
        super.clear();
        id_ = "";

        if (stateBuilder_ == null) {
          state_ = null;
        } else {
          state_ = null;
          stateBuilder_ = null;
        }
        distToTargetInMeters_ = 0F;

        return this;
      }

      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return protobuf.SimulationControllerProto.internal_static_SimulationController_GetVehiclesReply_VehicleState_descriptor;
      }

      public protobuf.GetVehiclesReply.VehicleState getDefaultInstanceForType() {
        return protobuf.GetVehiclesReply.VehicleState.getDefaultInstance();
      }

      public protobuf.GetVehiclesReply.VehicleState build() {
        protobuf.GetVehiclesReply.VehicleState result = buildPartial();
        if (!result.isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return result;
      }

      public protobuf.GetVehiclesReply.VehicleState buildPartial() {
        protobuf.GetVehiclesReply.VehicleState result = new protobuf.GetVehiclesReply.VehicleState(this);
        result.id_ = id_;
        if (stateBuilder_ == null) {
          result.state_ = state_;
        } else {
          result.state_ = stateBuilder_.build();
        }
        result.distToTargetInMeters_ = distToTargetInMeters_;
        onBuilt();
        return result;
      }

      public Builder clone() {
        return (Builder) super.clone();
      }
      public Builder setField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return (Builder) super.setField(field, value);
      }
      public Builder clearField(
          com.google.protobuf.Descriptors.FieldDescriptor field) {
        return (Builder) super.clearField(field);
      }
      public Builder clearOneof(
          com.google.protobuf.Descriptors.OneofDescriptor oneof) {
        return (Builder) super.clearOneof(oneof);
      }
      public Builder setRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          int index, java.lang.Object value) {
        return (Builder) super.setRepeatedField(field, index, value);
      }
      public Builder addRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return (Builder) super.addRepeatedField(field, value);
      }
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof protobuf.GetVehiclesReply.VehicleState) {
          return mergeFrom((protobuf.GetVehiclesReply.VehicleState)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }

      public Builder mergeFrom(protobuf.GetVehiclesReply.VehicleState other) {
        if (other == protobuf.GetVehiclesReply.VehicleState.getDefaultInstance()) return this;
        if (!other.getId().isEmpty()) {
          id_ = other.id_;
          onChanged();
        }
        if (other.hasState()) {
          mergeState(other.getState());
        }
        if (other.getDistToTargetInMeters() != 0F) {
          setDistToTargetInMeters(other.getDistToTargetInMeters());
        }
        this.mergeUnknownFields(other.unknownFields);
        onChanged();
        return this;
      }

      public final boolean isInitialized() {
        return true;
      }

      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        protobuf.GetVehiclesReply.VehicleState parsedMessage = null;
        try {
          parsedMessage = PARSER.parsePartialFrom(input, extensionRegistry);
        } catch (com.google.protobuf.InvalidProtocolBufferException e) {
          parsedMessage = (protobuf.GetVehiclesReply.VehicleState) e.getUnfinishedMessage();
          throw e.unwrapIOException();
        } finally {
          if (parsedMessage != null) {
            mergeFrom(parsedMessage);
          }
        }
        return this;
      }

      private java.lang.Object id_ = "";
      /**
       * <code>string id = 1;</code>
       */
      public java.lang.String getId() {
        java.lang.Object ref = id_;
        if (!(ref instanceof java.lang.String)) {
          com.google.protobuf.ByteString bs =
              (com.google.protobuf.ByteString) ref;
          java.lang.String s = bs.toStringUtf8();
          id_ = s;
          return s;
        } else {
          return (java.lang.String) ref;
        }
      }
      /**
       * <code>string id = 1;</code>
       */
      public com.google.protobuf.ByteString
          getIdBytes() {
        java.lang.Object ref = id_;
        if (ref instanceof String) {
          com.google.protobuf.ByteString b = 
              com.google.protobuf.ByteString.copyFromUtf8(
                  (java.lang.String) ref);
          id_ = b;
          return b;
        } else {
          return (com.google.protobuf.ByteString) ref;
        }
      }
      /**
       * <code>string id = 1;</code>
       */
      public Builder setId(
          java.lang.String value) {
        if (value == null) {
    throw new NullPointerException();
  }
  
        id_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>string id = 1;</code>
       */
      public Builder clearId() {
        
        id_ = getDefaultInstance().getId();
        onChanged();
        return this;
      }
      /**
       * <code>string id = 1;</code>
       */
      public Builder setIdBytes(
          com.google.protobuf.ByteString value) {
        if (value == null) {
    throw new NullPointerException();
  }
  checkByteStringIsUtf8(value);
        
        id_ = value;
        onChanged();
        return this;
      }

      private protobuf.SimulationDataFrame state_ = null;
      private com.google.protobuf.SingleFieldBuilderV3<
          protobuf.SimulationDataFrame, protobuf.SimulationDataFrame.Builder, protobuf.SimulationDataFrameOrBuilder> stateBuilder_;
      /**
       * <code>.SimulationController.SimulationDataFrame state = 2;</code>
       */
      public boolean hasState() {
        return stateBuilder_ != null || state_ != null;
      }
      /**
       * <code>.SimulationController.SimulationDataFrame state = 2;</code>
       */
      public protobuf.SimulationDataFrame getState() {
        if (stateBuilder_ == null) {
          return state_ == null ? protobuf.SimulationDataFrame.getDefaultInstance() : state_;
        } else {
          return stateBuilder_.getMessage();
        }
      }
      /**
       * <code>.SimulationController.SimulationDataFrame state = 2;</code>
       */
      public Builder setState(protobuf.SimulationDataFrame value) {
        if (stateBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          state_ = value;
          onChanged();
        } else {
          stateBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.SimulationController.SimulationDataFrame state = 2;</code>
       */
      public Builder setState(
          protobuf.SimulationDataFrame.Builder builderForValue) {
        if (stateBuilder_ == null) {
          state_ = builderForValue.build();
          onChanged();
        } else {
          stateBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.SimulationController.SimulationDataFrame state = 2;</code>
       */
      public Builder mergeState(protobuf.SimulationDataFrame value) {
        if (stateBuilder_ == null) {
          if (state_ != null) {
            state_ =
              protobuf.SimulationDataFrame.newBuilder(state_).mergeFrom(value).buildPartial();
          } else {
            state_ = value;
          }
          onChanged();
        } else {
          stateBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.SimulationController.SimulationDataFrame state = 2;</code>
       */
      public Builder clearState() {
        if (stateBuilder_ == null) {
          state_ = null;
          onChanged();
        } else {
          state_ = null;
          stateBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.SimulationController.SimulationDataFrame state = 2;</code>
       */
      public protobuf.SimulationDataFrame.Builder getStateBuilder() {
        
        onChanged();
        return getStateFieldBuilder().getBuilder();
      }
      /**
       * <code>.SimulationController.SimulationDataFrame state = 2;</code>
       */
      public protobuf.SimulationDataFrameOrBuilder getStateOrBuilder() {
        if (stateBuilder_ != null) {
          return stateBuilder_.getMessageOrBuilder();
        } else {
          return state_ == null ?
              protobuf.SimulationDataFrame.getDefaultInstance() : state_;
        }
      }
      /**
       * <code>.SimulationController.SimulationDataFrame state = 2;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          protobuf.SimulationDataFrame, protobuf.SimulationDataFrame.Builder, protobuf.SimulationDataFrameOrBuilder> 
          getStateFieldBuilder() {
        if (stateBuilder_ == null) {
          stateBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              protobuf.SimulationDataFrame, protobuf.SimulationDataFrame.Builder, protobuf.SimulationDataFrameOrBuilder>(
                  getState(),
                  getParentForChildren(),
                  isClean());
          state_ = null;
        }
        return stateBuilder_;
      }

      private float distToTargetInMeters_ ;
      /**
       * <code>float distToTargetInMeters = 3;</code>
       */
      public float getDistToTargetInMeters() {
        return distToTargetInMeters_;
      }
      /**
       * <code>float distToTargetInMeters = 3;</code>
       */
      public Builder setDistToTargetInMeters(float value) {
        
        distToTargetInMeters_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>float distToTargetInMeters = 3;</code>
       */
      public Builder clearDistToTargetInMeters() {
        
        distToTargetInMeters_ = 0F;
        onChanged();
        return this;
      }
      public final Builder setUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.setUnknownFieldsProto3(unknownFields);
      }

      public final Builder mergeUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.mergeUnknownFields(unknownFields);
      }


      // @@protoc_insertion_point(builder_scope:SimulationController.GetVehiclesReply.VehicleState)
    }

    // @@protoc_insertion_point(class_scope:SimulationController.GetVehiclesReply.VehicleState)
    private static final protobuf.GetVehiclesReply.VehicleState DEFAULT_INSTANCE;
    static {
      DEFAULT_INSTANCE = new protobuf.GetVehiclesReply.VehicleState();
    }

    public static protobuf.GetVehiclesReply.VehicleState getDefaultInstance() {
      return DEFAULT_INSTANCE;
    }

    private static final com.google.protobuf.Parser<VehicleState>
        PARSER = new com.google.protobuf.AbstractParser<VehicleState>() {
      public VehicleState parsePartialFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws com.google.protobuf.InvalidProtocolBufferException {
        return new VehicleState(input, extensionRegistry);
      }
    };

    public static com.google.protobuf.Parser<VehicleState> parser() {
      return PARSER;
    }

    @java.lang.Override
    public com.google.protobuf.Parser<VehicleState> getParserForType() {
      return PARSER;
    }

    public protobuf.GetVehiclesReply.VehicleState getDefaultInstanceForType() {
      return DEFAULT_INSTANCE;
    }

  }

  public static final int STATES_FIELD_NUMBER = 1;
  private java.util.List<protobuf.GetVehiclesReply.VehicleState> states_;
  /**
   * <code>repeated .SimulationController.GetVehiclesReply.VehicleState states = 1;</code>
   */
  public java.util.List<protobuf.GetVehiclesReply.VehicleState> getStatesList() {
    return states_;
  }
  /**
   * <code>repeated .SimulationController.GetVehiclesReply.VehicleState states = 1;</code>
   */
  public java.util.List<? extends protobuf.GetVehiclesReply.VehicleStateOrBuilder> 
      getStatesOrBuilderList() {
    return states_;
  }
  /**
   * <code>repeated .SimulationController.GetVehiclesReply.VehicleState states = 1;</code>
   */
  public int getStatesCount() {
    return states_.size();
  }
  /**
   * <code>repeated .SimulationController.GetVehiclesReply.VehicleState states = 1;</code>
   */
  public protobuf.GetVehiclesReply.VehicleState getStates(int index) {
    return states_.get(index);
  }
  /**
   * <code>repeated .SimulationController.GetVehiclesReply.VehicleState states = 1;</code>
   */
  public protobuf.GetVehiclesReply.VehicleStateOrBuilder getStatesOrBuilder(
      int index) {
    return states_.get(index);
  }

  private byte memoizedIsInitialized = -1;
  public final boolean isInitialized() {
    byte isInitialized = memoizedIsInitialized;
    if (isInitialized == 1) return true;
    if (isInitialized == 0) return false;

    memoizedIsInitialized = 1;
    return true;
  }

  public void writeTo(com.google.protobuf.CodedOutputStream output)
                      throws java.io.IOException {
    for (int i = 0; i < states_.size(); i++) {
      output.writeMessage(1, states_.get(i));
    }
    unknownFields.writeTo(output);
  }

  public int getSerializedSize() {
    int size = memoizedSize;
    if (size != -1) return size;

    size = 0;
    for (int i = 0; i < states_.size(); i++) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(1, states_.get(i));
    }
    size += unknownFields.getSerializedSize();
    memoizedSize = size;
    return size;
  }

  @java.lang.Override
  public boolean equals(final java.lang.Object obj) {
    if (obj == this) {
     return true;
    }
    if (!(obj instanceof protobuf.GetVehiclesReply)) {
      return super.equals(obj);
    }
    protobuf.GetVehiclesReply other = (protobuf.GetVehiclesReply) obj;

    boolean result = true;
    result = result && getStatesList()
        .equals(other.getStatesList());
    result = result && unknownFields.equals(other.unknownFields);
    return result;
  }

  @java.lang.Override
  public int hashCode() {
    if (memoizedHashCode != 0) {
      return memoizedHashCode;
    }
    int hash = 41;
    hash = (19 * hash) + getDescriptor().hashCode();
    if (getStatesCount() > 0) {
      hash = (37 * hash) + STATES_FIELD_NUMBER;
      hash = (53 * hash) + getStatesList().hashCode();
    }
    hash = (29 * hash) + unknownFields.hashCode();
    memoizedHashCode = hash;
    return hash;
  }

  public static protobuf.GetVehiclesReply parseFrom(
      java.nio.ByteBuffer data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static protobuf.GetVehiclesReply parseFrom(
      java.nio.ByteBuffer data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static protobuf.GetVehiclesReply parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static protobuf.GetVehiclesReply parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static protobuf.GetVehiclesReply parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static protobuf.GetVehiclesReply parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static protobuf.GetVehiclesReply parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static protobuf.GetVehiclesReply parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }
  public static protobuf.GetVehiclesReply parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input);
  }
  public static protobuf.GetVehiclesReply parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
  }
  public static protobuf.GetVehiclesReply parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static protobuf.GetVehiclesReply parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }

  public Builder newBuilderForType() { return newBuilder(); }
  public static Builder newBuilder() {
    return DEFAULT_INSTANCE.toBuilder();
  }
  public static Builder newBuilder(protobuf.GetVehiclesReply prototype) {
    return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
  }
  public Builder toBuilder() {
    return this == DEFAULT_INSTANCE
        ? new Builder() : new Builder().mergeFrom(this);
  }

  @java.lang.Override
  protected Builder newBuilderForType(
      com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
    Builder builder = new Builder(parent);
    return builder;
  }
  /**
   * Protobuf type {@code SimulationController.GetVehiclesReply}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
      // @@protoc_insertion_point(builder_implements:SimulationController.GetVehiclesReply)
      protobuf.GetVehiclesReplyOrBuilder {
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return protobuf.SimulationControllerProto.internal_static_SimulationController_GetVehiclesReply_descriptor;
    }

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return protobuf.SimulationControllerProto.internal_static_SimulationController_GetVehiclesReply_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              protobuf.GetVehiclesReply.class, protobuf.GetVehiclesReply.Builder.class);
    }

    // Construct using protobuf.GetVehiclesReply.newBuilder()
    private Builder() {
      maybeForceBuilderInitialization();
    }

    private Builder(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      super(parent);
      maybeForceBuilderInitialization();
    }
    private void maybeForceBuilderInitialization() {
      if (com.google.protobuf.GeneratedMessageV3
              .alwaysUseFieldBuilders) {
        getStatesFieldBuilder();
      }
    }
    public Builder clear() {
      super.clear();
      if (statesBuilder_ == null) {
        states_ = java.util.Collections.emptyList();
        bitField0_ = (bitField0_ & ~0x00000001);
      } else {
        statesBuilder_.clear();
      }
      return this;
    }

    public com.google.protobuf.Descriptors.Descriptor
        getDescriptorForType() {
      return protobuf.SimulationControllerProto.internal_static_SimulationController_GetVehiclesReply_descriptor;
    }

    public protobuf.GetVehiclesReply getDefaultInstanceForType() {
      return protobuf.GetVehiclesReply.getDefaultInstance();
    }

    public protobuf.GetVehiclesReply build() {
      protobuf.GetVehiclesReply result = buildPartial();
      if (!result.isInitialized()) {
        throw newUninitializedMessageException(result);
      }
      return result;
    }

    public protobuf.GetVehiclesReply buildPartial() {
      protobuf.GetVehiclesReply result = new protobuf.GetVehiclesReply(this);
      int from_bitField0_ = bitField0_;
      if (statesBuilder_ == null) {
        if (((bitField0_ & 0x00000001) == 0x00000001)) {
          states_ = java.util.Collections.unmodifiableList(states_);
          bitField0_ = (bitField0_ & ~0x00000001);
        }
        result.states_ = states_;
      } else {
        result.states_ = statesBuilder_.build();
      }
      onBuilt();
      return result;
    }

    public Builder clone() {
      return (Builder) super.clone();
    }
    public Builder setField(
        com.google.protobuf.Descriptors.FieldDescriptor field,
        java.lang.Object value) {
      return (Builder) super.setField(field, value);
    }
    public Builder clearField(
        com.google.protobuf.Descriptors.FieldDescriptor field) {
      return (Builder) super.clearField(field);
    }
    public Builder clearOneof(
        com.google.protobuf.Descriptors.OneofDescriptor oneof) {
      return (Builder) super.clearOneof(oneof);
    }
    public Builder setRepeatedField(
        com.google.protobuf.Descriptors.FieldDescriptor field,
        int index, java.lang.Object value) {
      return (Builder) super.setRepeatedField(field, index, value);
    }
    public Builder addRepeatedField(
        com.google.protobuf.Descriptors.FieldDescriptor field,
        java.lang.Object value) {
      return (Builder) super.addRepeatedField(field, value);
    }
    public Builder mergeFrom(com.google.protobuf.Message other) {
      if (other instanceof protobuf.GetVehiclesReply) {
        return mergeFrom((protobuf.GetVehiclesReply)other);
      } else {
        super.mergeFrom(other);
        return this;
      }
    }

    public Builder mergeFrom(protobuf.GetVehiclesReply other) {
      if (other == protobuf.GetVehiclesReply.getDefaultInstance()) return this;
      if (statesBuilder_ == null) {
        if (!other.states_.isEmpty()) {
          if (states_.isEmpty()) {
            states_ = other.states_;
            bitField0_ = (bitField0_ & ~0x00000001);
          } else {
            ensureStatesIsMutable();
            states_.addAll(other.states_);
          }
          onChanged();
        }
      } else {
        if (!other.states_.isEmpty()) {
          if (statesBuilder_.isEmpty()) {
            statesBuilder_.dispose();
            statesBuilder_ = null;
            states_ = other.states_;
            bitField0_ = (bitField0_ & ~0x00000001);
            statesBuilder_ = 
              com.google.protobuf.GeneratedMessageV3.alwaysUseFieldBuilders ?
                 getStatesFieldBuilder() : null;
          } else {
            statesBuilder_.addAllMessages(other.states_);
          }
        }
      }
      this.mergeUnknownFields(other.unknownFields);
      onChanged();
      return this;
    }

    public final boolean isInitialized() {
      return true;
    }

    public Builder mergeFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      protobuf.GetVehiclesReply parsedMessage = null;
      try {
        parsedMessage = PARSER.parsePartialFrom(input, extensionRegistry);
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        parsedMessage = (protobuf.GetVehiclesReply) e.getUnfinishedMessage();
        throw e.unwrapIOException();
      } finally {
        if (parsedMessage != null) {
          mergeFrom(parsedMessage);
        }
      }
      return this;
    }
    private int bitField0_;

    private java.util.List<protobuf.GetVehiclesReply.VehicleState> states_ =
      java.util.Collections.emptyList();
    private void ensureStatesIsMutable() {
      if (!((bitField0_ & 0x00000001) == 0x00000001)) {
        states_ = new java.util.ArrayList<protobuf.GetVehiclesReply.VehicleState>(states_);
        bitField0_ |= 0x00000001;
       }
    }

    private com.google.protobuf.RepeatedFieldBuilderV3<
        protobuf.GetVehiclesReply.VehicleState, protobuf.GetVehiclesReply.VehicleState.Builder, protobuf.GetVehiclesReply.VehicleStateOrBuilder> statesBuilder_;

    /**
     * <code>repeated .SimulationController.GetVehiclesReply.VehicleState states = 1;</code>
     */
    public java.util.List<protobuf.GetVehiclesReply.VehicleState> getStatesList() {
      if (statesBuilder_ == null) {
        return java.util.Collections.unmodifiableList(states_);
      } else {
        return statesBuilder_.getMessageList();
      }
    }
    /**
     * <code>repeated .SimulationController.GetVehiclesReply.VehicleState states = 1;</code>
     */
    public int getStatesCount() {
      if (statesBuilder_ == null) {
        return states_.size();
      } else {
        return statesBuilder_.getCount();
      }
    }
    /**
     * <code>repeated .SimulationController.GetVehiclesReply.VehicleState states = 1;</code>
     */
    public protobuf.GetVehiclesReply.VehicleState getStates(int index) {
      if (statesBuilder_ == null) {
        return states_.get(index);
      } else {
        return statesBuilder_.getMessage(index);
      }
    }
    /**
     * <code>repeated .SimulationController.GetVehiclesReply.VehicleState states = 1;</code>
     */
    public Builder setStates(
        int index, protobuf.GetVehiclesReply.VehicleState value) {
      if (statesBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        ensureStatesIsMutable();
        states_.set(index, value);
        onChanged();
      } else {
        statesBuilder_.setMessage(index, value);
      }
      return this;
    }
    /**
     * <code>repeated .SimulationController.GetVehiclesReply.VehicleState states = 1;</code>
     */
    public Builder setStates(
        int index, protobuf.GetVehiclesReply.VehicleState.Builder builderForValue) {
      if (statesBuilder_ == null) {
        ensureStatesIsMutable();
        states_.set(index, builderForValue.build());
        onChanged();
      } else {
        statesBuilder_.setMessage(index, builderForValue.build());
      }
      return this;
    }
    /**
     * <code>repeated .SimulationController.GetVehiclesReply.VehicleState states = 1;</code>
     */
    public Builder addStates(protobuf.GetVehiclesReply.VehicleState value) {
      if (statesBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        ensureStatesIsMutable();
        states_.add(value);
        onChanged();
      } else {
        statesBuilder_.addMessage(value);
      }
      return this;
    }
    /**
     * <code>repeated .SimulationController.GetVehiclesReply.VehicleState states = 1;</code>
     */
    public Builder addStates(
        int index, protobuf.GetVehiclesReply.VehicleState value) {
      if (statesBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        ensureStatesIsMutable();
        states_.add(index, value);
        onChanged();
      } else {
        statesBuilder_.addMessage(index, value);
      }
      return this;
    }
    /**
     * <code>repeated .SimulationController.GetVehiclesReply.VehicleState states = 1;</code>
     */
    public Builder addStates(
        protobuf.GetVehiclesReply.VehicleState.Builder builderForValue) {
      if (statesBuilder_ == null) {
        ensureStatesIsMutable();
        states_.add(builderForValue.build());
        onChanged();
      } else {
        statesBuilder_.addMessage(builderForValue.build());
      }
      return this;
    }
    /**
     * <code>repeated .SimulationController.GetVehiclesReply.VehicleState states = 1;</code>
     */
    public Builder addStates(
        int index, protobuf.GetVehiclesReply.VehicleState.Builder builderForValue) {
      if (statesBuilder_ == null) {
        ensureStatesIsMutable();
        states_.add(index, builderForValue.build());
        onChanged();
      } else {
        statesBuilder_.addMessage(index, builderForValue.build());
      }
      return this;
    }
    /**
     * <code>repeated .SimulationController.GetVehiclesReply.VehicleState states = 1;</code>
     */
    public Builder addAllStates(
        java.lang.Iterable<? extends protobuf.GetVehiclesReply.VehicleState> values) {
      if (statesBuilder_ == null) {
        ensureStatesIsMutable();
        com.google.protobuf.AbstractMessageLite.Builder.addAll(
            values, states_);
        onChanged();
      } else {
        statesBuilder_.addAllMessages(values);
      }
      return this;
    }
    /**
     * <code>repeated .SimulationController.GetVehiclesReply.VehicleState states = 1;</code>
     */
    public Builder clearStates() {
      if (statesBuilder_ == null) {
        states_ = java.util.Collections.emptyList();
        bitField0_ = (bitField0_ & ~0x00000001);
        onChanged();
      } else {
        statesBuilder_.clear();
      }
      return this;
    }
    /**
     * <code>repeated .SimulationController.GetVehiclesReply.VehicleState states = 1;</code>
     */
    public Builder removeStates(int index) {
      if (statesBuilder_ == null) {
        ensureStatesIsMutable();
        states_.remove(index);
        onChanged();
      } else {
        statesBuilder_.remove(index);
      }
      return this;
    }
    /**
     * <code>repeated .SimulationController.GetVehiclesReply.VehicleState states = 1;</code>
     */
    public protobuf.GetVehiclesReply.VehicleState.Builder getStatesBuilder(
        int index) {
      return getStatesFieldBuilder().getBuilder(index);
    }
    /**
     * <code>repeated .SimulationController.GetVehiclesReply.VehicleState states = 1;</code>
     */
    public protobuf.GetVehiclesReply.VehicleStateOrBuilder getStatesOrBuilder(
        int index) {
      if (statesBuilder_ == null) {
        return states_.get(index);  } else {
        return statesBuilder_.getMessageOrBuilder(index);
      }
    }
    /**
     * <code>repeated .SimulationController.GetVehiclesReply.VehicleState states = 1;</code>
     */
    public java.util.List<? extends protobuf.GetVehiclesReply.VehicleStateOrBuilder> 
         getStatesOrBuilderList() {
      if (statesBuilder_ != null) {
        return statesBuilder_.getMessageOrBuilderList();
      } else {
        return java.util.Collections.unmodifiableList(states_);
      }
    }
    /**
     * <code>repeated .SimulationController.GetVehiclesReply.VehicleState states = 1;</code>
     */
    public protobuf.GetVehiclesReply.VehicleState.Builder addStatesBuilder() {
      return getStatesFieldBuilder().addBuilder(
          protobuf.GetVehiclesReply.VehicleState.getDefaultInstance());
    }
    /**
     * <code>repeated .SimulationController.GetVehiclesReply.VehicleState states = 1;</code>
     */
    public protobuf.GetVehiclesReply.VehicleState.Builder addStatesBuilder(
        int index) {
      return getStatesFieldBuilder().addBuilder(
          index, protobuf.GetVehiclesReply.VehicleState.getDefaultInstance());
    }
    /**
     * <code>repeated .SimulationController.GetVehiclesReply.VehicleState states = 1;</code>
     */
    public java.util.List<protobuf.GetVehiclesReply.VehicleState.Builder> 
         getStatesBuilderList() {
      return getStatesFieldBuilder().getBuilderList();
    }
    private com.google.protobuf.RepeatedFieldBuilderV3<
        protobuf.GetVehiclesReply.VehicleState, protobuf.GetVehiclesReply.VehicleState.Builder, protobuf.GetVehiclesReply.VehicleStateOrBuilder> 
        getStatesFieldBuilder() {
      if (statesBuilder_ == null) {
        statesBuilder_ = new com.google.protobuf.RepeatedFieldBuilderV3<
            protobuf.GetVehiclesReply.VehicleState, protobuf.GetVehiclesReply.VehicleState.Builder, protobuf.GetVehiclesReply.VehicleStateOrBuilder>(
                states_,
                ((bitField0_ & 0x00000001) == 0x00000001),
                getParentForChildren(),
                isClean());
        states_ = null;
      }
      return statesBuilder_;
    }
    public final Builder setUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.setUnknownFieldsProto3(unknownFields);
    }

    public final Builder mergeUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.mergeUnknownFields(unknownFields);
    }


    // @@protoc_insertion_point(builder_scope:SimulationController.GetVehiclesReply)
  }

  // @@protoc_insertion_point(class_scope:SimulationController.GetVehiclesReply)
  private static final protobuf.GetVehiclesReply DEFAULT_INSTANCE;
  static {
    DEFAULT_INSTANCE = new protobuf.GetVehiclesReply();
  }

  public static protobuf.GetVehiclesReply getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static final com.google.protobuf.Parser<GetVehiclesReply>
      PARSER = new com.google.protobuf.AbstractParser<GetVehiclesReply>() {
    public GetVehiclesReply parsePartialFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return new GetVehiclesReply(input, extensionRegistry);
    }
  };

  public static com.google.protobuf.Parser<GetVehiclesReply> parser() {
    return PARSER;
  }

  @java.lang.Override
  public com.google.protobuf.Parser<GetVehiclesReply> getParserForType() {
    return PARSER;
  }

  public protobuf.GetVehiclesReply getDefaultInstanceForType() {
    return DEFAULT_INSTANCE;
  }

}

